Subject: Re: [PATCH 5/5] powerpc: Add 86xx support for SWIOTLB

From: Michael Ellerman <[email-masked]>
Date: Tue, 21 Apr 2009 12:14:04 +1000

On Mon, 2009-04-20 at 12:58 -0500, Becky Bruce wrote:
> On Apr 20, 2009, at 12:00 PM, Kumar Gala wrote:
> > On Apr 20, 2009, at 11:26 AM, Becky Bruce wrote:
> >>
> >> config PPC_NEED_DMA_SYNC_OPS
> >> 	def_bool y
> >> 	depends on (NOT_COHERENT_CACHE || SWIOTLB)
> >> diff --git a/arch/powerpc/kernel/dma-swiotlb.c b/arch/powerpc/ 
> >> kernel/dma-swiotlb.c
> >> index 29a68e6..3065d03 100644
> >> --- a/arch/powerpc/kernel/dma-swiotlb.c
> >> +++ b/arch/powerpc/kernel/dma-swiotlb.c
> >> @@ -159,3 +159,5 @@ static int __init setup_bus_notifier(void)
> >>
> >> 	return 0;
> >> }
> >> +
> >> +machine_arch_initcall(mpc86xx_hpcn, setup_bus_notifier);
> >
> > Hmm, not sure what we chatted about here, but I don't want to have  
> > to add every board into this file to register the bus notifiers.
> 
> We talked about this, and this was what we decided on - I don't really  
> like the idea, either, but there's a lot of precedent for it.  I'd  
> like to do this differently, but I"m not sure what the solution is -  
> we'd need to look into that more (or perhaps someone here will have  
> some sage advice).

Give it a better name, export it, and call it from the board setup file?

Actually what depends on the board anyway? It's just the dma window
config in the pci_controller isn't it? So maybe you can always call the
notifier, and if the dma mask isn't 36 bits, and the controller has the
window configured then you use swiotlb?

cheers